extends ../_docs-template

block vars
  - var activeLink = 'vue';
  - var title = 'Messagebar Vue Component | Framework7 Vue Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-vue
  .docs-content
    .motion-docs-page-title
      h1 Messagebar Vue Component
      script(src="/js/motion/messagebar.js")
      f7-motion-messagebar(motion)

    p Messagebar Vue component represents Framework7's <a href="../docs/messagebar.html">Messagebar</a> component.
    h2 Messagebar Components
    p There are following components included:
    ul
      li `f7-messagebar` - main messagebar element
      li `f7-messagebar-sheet` - messagebar sheet element
      li `f7-messagebar-sheet-image` - messagebar sheet image item
      li `f7-messagebar-sheet-item` - messagebar sheet item
      li `f7-messagebar-attachments` - messagebar attachments element
      li `f7-messagebar-attachment` - single messagebar attachment element
    p
      img(src="/i/docs/messagebar-vue.jpg", style="max-width: 950px; width: 100%")
    h2 Messagebar Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;f7-messagebar&gt; properties
        tr
          td init
          td boolean
          td true
          td Initializes Messagebar
        tr
          td name
          td string
          td
          td Textarea "name" attribute
        tr
          td textarea-id
          td string<br>number
          td
          td Textarea "id" attribute
        tr
          td placeholder
          td string
          td Message
          td Textarea placeholder text
        tr
          td value
          td string<br>number
          td
          td Textarea value
        tr
          td readonly
          td boolean
          td false
          td Sets "readonly" textarea attribute
        tr
          td disabled
          td boolean
          td false
          td Sets "disbled" textarea attribute
        tr
          td send-link
          td string
          td
          td Enables Send link and specifies its text. This property will be ignored in case you use `send-link` slot
        tr
          td max-height
          td number
          td
          td Defines resizable textarea max height
        tr
          td resizable
          td boolean
          td true
          td Enables resizable textarea
        tr
          td sheet-visible
          td boolean
          td false
          td Makes messagebar sheet visible/active
        tr
          td attachments-visible
          td boolean
          td false
          td Makes messagebar attachments visible/active
        tr
          td resize-page
          td boolean
          td true
          td When enabled, it will resize messages page when messagebar textarea size changed
        tr
          th(colspan="4") &lt;f7-messagebar-sheet-image&gt; properties
        tr
          td image
          td string
          td
          td Sheet image URL
        tr
          td checked
          td boolean
          td false
          td Indicates whether this sheet image-item is checked or not
        tr
          th(colspan="4") &lt;f7-messagebar-attachment&gt; properties
        tr
          td image
          td string
          td
          td Attachment image URL
        tr
          td deletable
          td boolean
          td true
          td Defines whether the attachment is deletable or not. In case of deletable the additional delete button will be rendered

    h2 Messagebar Events
    table.events-table
      thead
        tr
          th Event
          th Arguments
          th Description
      tbody
        tr
          th(colspan="3") &lt;f7-messagebar&gt; events
        tr
          td change
          td <span>(event)</span>
          td Event will be triggered when "change" event occurs on messagebar textarea element
        tr
          td input
          td <span>(event)</span>
          td Event will be triggered when "input" event occurs on messagebar textarea element
        tr
          td focus
          td <span>(event)</span>
          td Event will be triggered when "focus" event occurs on messagebar textarea element
        tr
          td blur
          td <span>(event)</span>
          td Event will be triggered when "blur" event occurs on messagebar textarea element
        tr
          td submit<br>send
          td <span>(value, clear)</span>
          td Event will be triggered when user clicks on messagebar "send link"
        tr
          th(colspan="3") &lt;f7-messagebar-sheet-image&gt; events
        tr
          td change
          td <span>(event)</span>
          td Event will be triggered on sheet item checkbox change
        tr
          th(colspan="3") &lt;f7-messagebar-attachment&gt; events
        tr
          td attachment:click
          td <span>(event)</span>
          td Event will be triggered on attachment click
        tr
          td attachment:delete
          td <span>(event)</span>
          td Event will be triggered on attachment delete button click
    h2 Messagebar Slots
    p Messagebar Vue component has additional slots for custom elements:
    ul
      li `default` - element will be inserted in the end of `<div class="toolbar-inner">`. element
      li `before-area` - element will be inserted right before textarea. Messagebar attachments go here
      li `after-area` - element will be inserted right after textarea
      li `send-link` - element will be inserted inside of send link
      li `before-inner` - element will be inserted right before `<div class="toolbar-inner">`. element
      li `after-inner` - element will be inserted right after `<div class="toolbar-inner">`. element. Messagebar sheet goes here
      li `inner-start` - element will be inserted in the beginning of `<div class="toolbar-inner">`. element
      li `inner-end` - element will be inserted in the end of `<div class="toolbar-inner">`. element. Same as `default` slot
    :code
          <f7-messagebar placeholder="Message" @submit="onSubmit">
            <div slot="before-inner">Before inner</div>
            <div slot="after-inner">After inner</div>
            <div slot="before-area">Before textarea</div>
            <div slot="after-area">After textarea</div>
            <f7-icon ios="f7:arrow_up_fill" md="material:send" slot="send-link"></f7-icon>
            <div>Default slot</div>
          </f7-messagebar>
    p Renders to:
    :code
          <div class="toolbar messagebar">
            <div>Before inner</div>
            <div class="toolbar-inner">
              <div class="messagebar-area">
                <div>Before textarea</div>
                <textarea placeholder="Message"></textarea>
                <div>After textarea</div>
              </div>
              <a href="#" class="link"><i class="icon f7-icons">arrow_up_fill</i></a>
              <div>Default slot</div>
            </div>
            <div>After inner</div>
          </div>

    h2 Messagebar v-model
    p `f7-messagebar` component supports `v-model` on `value` prop:
    ```html
      <template>
        ...
        <f7-messagebar
          v-model:value="messageText"
        />
        ...
      </template>
      <script>
        export default {
          data() {
            messageText: '',
          },
          ...
        };
      </script>
    ```

    h2 Examples
    p Here is how the full example of Messages page where it can be used together with <a href="messages.html">Messages</a>:
    +examplePreview('vue', 'messages.vue', 'messages')
